#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-fsm
export PYBUILD_TEST="{interpreter} tests/manage.py"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests/manage.py" dh_auto_test

override_dh_installchangelogs:
	awk '/^Changelog/,EOF { print $0 }' README.rst >changelog
	dh_installchangelogs -- changelog
